% Satallax 3.4 Sample Solutions
% Michael Färber


To set TPTP directory:

    export TPTP=eval/TPTP-v7.2.0


Example 1: SET014^4
===================

    ./satallax.native -p tstp -m mode213 $TPTP/Problems/SET/SET014^4.p

~~~
% SZS status Theorem
% Mode: mode213
% Inferences: 5
% SZS output start Proof
thf(ty_eigen__2, type, eigen__2 : ($i>$o)).
thf(ty_eigen__1, type, eigen__1 : ($i>$o)).
thf(ty_eigen__0, type, eigen__0 : ($i>$o)).
thf(ty_eigen__3, type, eigen__3 : $i).
thf(sP1,plain,sP1 <=> (eigen__0 @ eigen__3),introduced(definition,[new_symbols(definition,[sP1])])).
thf(sP2,plain,sP2 <=> (sP1 => (eigen__2 @ eigen__3)),introduced(definition,[new_symbols(definition,[sP2])])).
thf(sP3,plain,sP3 <=> (eigen__1 @ eigen__3),introduced(definition,[new_symbols(definition,[sP3])])).
thf(sP4,plain,sP4 <=> (sP3 => (eigen__2 @ eigen__3)),introduced(definition,[new_symbols(definition,[sP4])])).
thf(sP5,plain,sP5 <=> (![X1:$i]:((eigen__1 @ X1) => (eigen__2 @ X1))),introduced(definition,[new_symbols(definition,[sP5])])).
thf(sP6,plain,sP6 <=> (eigen__2 @ eigen__3),introduced(definition,[new_symbols(definition,[sP6])])).
thf(sP7,plain,sP7 <=> (![X1:$i]:((eigen__0 @ X1) => (eigen__2 @ X1))),introduced(definition,[new_symbols(definition,[sP7])])).
thf(def_in,definition,(in = (^[X1:$i]:(^[X2:$i>$o]:(X2 @ X1))))).
thf(def_is_a,definition,(is_a = (^[X1:$i]:(^[X2:$i>$o]:(X2 @ X1))))).
thf(def_emptyset,definition,(emptyset = (^[X1:$i]:$false))).
thf(def_unord_pair,definition,(unord_pair = (^[X1:$i]:(^[X2:$i]:(^[X3:$i]:((~((X3 = X1))) => (X3 = X2))))))).
thf(def_singleton,definition,(singleton = (^[X1:$i]:(^[X2:$i]:(X2 = X1))))).
thf(def_union,definition,(union = (^[X1:$i>$o]:(^[X2:$i>$o]:(^[X3:$i]:((~((X1 @ X3))) => (X2 @ X3))))))).
thf(def_excl_union,definition,(excl_union = (^[X1:$i>$o]:(^[X2:$i>$o]:(^[X3:$i]:(((X1 @ X3) => (X2 @ X3)) => (~(((~((X1 @ X3))) => (~((X2 @ X3)))))))))))).
thf(def_intersection,definition,(intersection = (^[X1:$i>$o]:(^[X2:$i>$o]:(^[X3:$i]:(~(((X1 @ X3) => (~((X2 @ X3))))))))))).
thf(def_setminus,definition,(setminus = (^[X1:$i>$o]:(^[X2:$i>$o]:(^[X3:$i]:(~(((X1 @ X3) => (X2 @ X3))))))))).
thf(def_complement,definition,(complement = (^[X1:$i>$o]:(^[X2:$i]:(~((X1 @ X2))))))).
thf(def_disjoint,definition,(disjoint = (^[X1:$i>$o]:(^[X2:$i>$o]:(((intersection @ X1) @ X2) = emptyset))))).
thf(def_subset,definition,(subset = (^[X1:$i>$o]:(^[X2:$i>$o]:(![X3:$i]:((X1 @ X3) => (X2 @ X3))))))).
thf(def_meets,definition,(meets = (^[X1:$i>$o]:(^[X2:$i>$o]:(~((![X3:$i]:((X1 @ X3) => (~((X2 @ X3))))))))))).
thf(def_misses,definition,(misses = (^[X1:$i>$o]:(^[X2:$i>$o]:(![X3:$i]:((X1 @ X3) => (~((X2 @ X3))))))))).
thf(thm,conjecture,(![X1:$i>$o]:(![X2:$i>$o]:(![X3:$i>$o]:((~(((![X4:$i]:((X1 @ X4) => (X3 @ X4))) => (~((![X4:$i]:((X2 @ X4) => (X3 @ X4)))))))) => (![X4:$i]:(((~((X1 @ X4))) => (X2 @ X4)) => (X3 @ X4)))))))).
thf(h0,negated_conjecture,(~((![X1:$i>$o]:(![X2:$i>$o]:(![X3:$i>$o]:((~(((![X4:$i]:((X1 @ X4) => (X3 @ X4))) => (~((![X4:$i]:((X2 @ X4) => (X3 @ X4)))))))) => (![X4:$i]:(((~((X1 @ X4))) => (X2 @ X4)) => (X3 @ X4))))))))),inference(assume_negation,[status(cth)],[thm])).
thf(h1,assumption,(~((![X1:$i>$o]:(![X2:$i>$o]:((~(((![X3:$i]:((eigen__0 @ X3) => (X2 @ X3))) => (~((![X3:$i]:((X1 @ X3) => (X2 @ X3)))))))) => (![X3:$i]:(((~((eigen__0 @ X3))) => (X1 @ X3)) => (X2 @ X3)))))))),introduced(assumption,[])).
thf(h2,assumption,(~((![X1:$i>$o]:((~(((![X2:$i]:((eigen__0 @ X2) => (X1 @ X2))) => (~((![X2:$i]:((eigen__1 @ X2) => (X1 @ X2)))))))) => (![X2:$i]:(((~((eigen__0 @ X2))) => (eigen__1 @ X2)) => (X1 @ X2))))))),introduced(assumption,[])).
thf(h3,assumption,(~(((~((sP7 => (~(sP5))))) => (![X1:$i]:(((~((eigen__0 @ X1))) => (eigen__1 @ X1)) => (eigen__2 @ X1)))))),introduced(assumption,[])).
thf(h4,assumption,(~((sP7 => (~(sP5))))),introduced(assumption,[])).
thf(h5,assumption,(~((![X1:$i]:(((~((eigen__0 @ X1))) => (eigen__1 @ X1)) => (eigen__2 @ X1))))),introduced(assumption,[])).
thf(h6,assumption,sP7,introduced(assumption,[])).
thf(h7,assumption,sP5,introduced(assumption,[])).
thf(h8,assumption,(~((((~(sP1)) => sP3) => sP6))),introduced(assumption,[])).
thf(h9,assumption,((~(sP1)) => sP3),introduced(assumption,[])).
thf(h10,assumption,(~(sP6)),introduced(assumption,[])).
thf(h11,assumption,sP1,introduced(assumption,[])).
thf(h12,assumption,sP3,introduced(assumption,[])).
thf(1,plain,(~(sP7) | sP2),inference(all_rule,[status(thm)],[])).
thf(2,plain,((~(sP2) | ~(sP1)) | sP6),inference(prop_rule,[status(thm)],[])).
thf(3,plain,$false,inference(prop_unsat,[status(thm),assumptions([h11,h9,h10,h8,h6,h7,h4,h5,h3,h2,h1,h0])],[1,2,h6,h11,h10])).
thf(4,plain,(~(sP5) | sP4),inference(all_rule,[status(thm)],[])).
thf(5,plain,((~(sP4) | ~(sP3)) | sP6),inference(prop_rule,[status(thm)],[])).
thf(6,plain,$false,inference(prop_unsat,[status(thm),assumptions([h12,h9,h10,h8,h6,h7,h4,h5,h3,h2,h1,h0])],[4,5,h7,h12,h10])).
thf(7,plain,$false,inference(tab_imp,[status(thm),assumptions([h9,h10,h8,h6,h7,h4,h5,h3,h2,h1,h0]),tab_imp(discharge,[h11]),tab_imp(discharge,[h12])],[h9,3,6,h11,h12])).
thf(8,plain,$false,inference(tab_negimp,[status(thm),assumptions([h8,h6,h7,h4,h5,h3,h2,h1,h0]),tab_negimp(discharge,[h9,h10])],[h8,7,h9,h10])).
thf(9,plain,$false,inference(tab_negall,[status(thm),assumptions([h6,h7,h4,h5,h3,h2,h1,h0]),tab_negall(discharge,[h8]),tab_negall(eigenvar,eigen__3)],[h5,8,h8])).
thf(10,plain,$false,inference(tab_negimp,[status(thm),assumptions([h4,h5,h3,h2,h1,h0]),tab_negimp(discharge,[h6,h7])],[h4,9,h6,h7])).
thf(11,plain,$false,inference(tab_negimp,[status(thm),assumptions([h3,h2,h1,h0]),tab_negimp(discharge,[h4,h5])],[h3,10,h4,h5])).
thf(12,plain,$false,inference(tab_negall,[status(thm),assumptions([h2,h1,h0]),tab_negall(discharge,[h3]),tab_negall(eigenvar,eigen__2)],[h2,11,h3])).
thf(13,plain,$false,inference(tab_negall,[status(thm),assumptions([h1,h0]),tab_negall(discharge,[h2]),tab_negall(eigenvar,eigen__1)],[h1,12,h2])).
thf(14,plain,$false,inference(tab_negall,[status(thm),assumptions([h0]),tab_negall(discharge,[h1]),tab_negall(eigenvar,eigen__0)],[h0,13,h1])).
thf(0,theorem,(![X1:$i>$o]:(![X2:$i>$o]:(![X3:$i>$o]:((~(((![X4:$i]:((X1 @ X4) => (X3 @ X4))) => (~((![X4:$i]:((X2 @ X4) => (X3 @ X4)))))))) => (![X4:$i]:(((~((X1 @ X4))) => (X2 @ X4)) => (X3 @ X4))))))),inference(contra,[status(thm),contra(discharge,[h0])],[14,h0])).
% SZS output end Proof
~~~

Example 2: SYO553^1
===================

    ./satallax.native -p tstp -m mode438 $TPTP/Problems/SYO/SYO553^1.p

~~~
% SZS status Theorem
% Mode: mode438
% Inferences: 5
% SZS output start Proof
thf(ty_eigen__2, type, eigen__2 : $i).
thf(h0, assumption, (![X1:$i>$o]:(![X2:$i]:((X1 @ X2) => (X1 @ (eps__0 @ X1))))),introduced(assumption,[])).
thf(eigendef_eigen__1, definition, eigen__1 = (eps__0 @ (^[X1:$i]:(~((![X2:$i]:(X2 = X2)))))), introduced(definition,[new_symbols(definition,[eigen__1])])).
thf(eigendef_eigen__2, definition, eigen__2 = (eps__0 @ (^[X1:$i]:(~((X1 = X1))))), introduced(definition,[new_symbols(definition,[eigen__2])])).
thf(sP1,plain,sP1 <=> (![X1:$i]:(![X2:$i]:(X2 = X2))),introduced(definition,[new_symbols(definition,[sP1])])).
thf(sP2,plain,sP2 <=> (![X1:$i]:(X1 = X1)),introduced(definition,[new_symbols(definition,[sP2])])).
thf(sP3,plain,sP3 <=> (![X1:$i>$i>$i]:(~((![X2:$i]:(![X3:$i]:(((X1 @ X2) @ X3) = X3)))))),introduced(definition,[new_symbols(definition,[sP3])])).
thf(sP4,plain,sP4 <=> (eigen__2 = eigen__2),introduced(definition,[new_symbols(definition,[sP4])])).
thf(claim,conjecture,(~(sP3))).
thf(h1,negated_conjecture,sP3,inference(assume_negation,[status(cth)],[claim])).
thf(1,plain,sP4,inference(prop_rule,[status(thm)],[])).
thf(2,plain,(sP2 | ~(sP4)),inference(eigen_choice_rule,[status(thm),assumptions([h0])],[h0,eigendef_eigen__2])).
thf(3,plain,(sP1 | ~(sP2)),inference(eigen_choice_rule,[status(thm),assumptions([h0])],[h0,eigendef_eigen__1])).
thf(4,plain,(~(sP3) | ~(sP1)),inference(all_rule,[status(thm)],[])).
thf(5,plain,$false,inference(prop_unsat,[status(thm),assumptions([h1,h0])],[1,2,3,4,h1])).
thf(6,plain,$false,inference(eigenvar_choice,[status(thm),assumptions([h1]),eigenvar_choice(discharge,[h0])],[5,h0])).
thf(0,theorem,(~(sP3)),inference(contra,[status(thm),contra(discharge,[h1])],[5,h1])).
% SZS output end Proof
~~~

Example 3: SYO069^4.001
=======================

    ./satallax.native -p tstp -m mode514 $TPTP/Problems/SYO/SYO069^4.001.p

~~~
% SZS status Theorem
% Mode: mode514
% Inferences: 5342
% SZS output start Proof
thf(ty_a0, type, a0 : ($i>$o)).
thf(ty_eigen__25, type, eigen__25 : $i).
thf(ty_a1, type, a1 : ($i>$o)).
thf(ty_eigen__1, type, eigen__1 : $i).
thf(ty_eigen__0, type, eigen__0 : $i).
thf(ty_eigen__3, type, eigen__3 : $i).
thf(ty_b1, type, b1 : ($i>$o)).
thf(ty_irel, type, irel : ($i>$i>$o)).
thf(ty_eigen__10, type, eigen__10 : $i).
thf(ty_eigen__20, type, eigen__20 : $i).
thf(ty_b0, type, b0 : ($i>$o)).
thf(ty_f, type, f : ($i>$o)).
thf(h0, assumption, (![X1:$i>$o]:(![X2:$i]:((X1 @ X2) => (X1 @ (eps__0 @ X1))))),introduced(assumption,[])).
thf(eigendef_eigen__3, definition, eigen__3 = (eps__0 @ (^[X1:$i]:(~((((irel @ eigen__1) @ X1) => (a0 @ X1)))))), introduced(definition,[new_symbols(definition,[eigen__3])])).
thf(eigendef_eigen__1, definition, eigen__1 = (eps__0 @ (^[X1:$i]:(~((((irel @ eigen__0) @ X1) => (f @ X1)))))), introduced(definition,[new_symbols(definition,[eigen__1])])).
thf(eigendef_eigen__0, definition, eigen__0 = (eps__0 @ (^[X1:$i]:(~((~((((![X2:$i]:(((irel @ X1) @ X2) => (~((((![X3:$i]:(((irel @ X2) @ X3) => (a0 @ X3))) => (![X3:$i]:(((irel @ X2) @ X3) => (f @ X3)))) => (((![X3:$i]:(((irel @ X2) @ X3) => ((![X4:$i]:(((irel @ X3) @ X4) => (b1 @ X4))) => (![X4:$i]:(((irel @ X3) @ X4) => (b0 @ X4)))))) => (![X3:$i]:(((irel @ X2) @ X3) => (a1 @ X3)))) => (~(((![X3:$i]:(((irel @ X2) @ X3) => ((![X4:$i]:(((irel @ X3) @ X4) => (b0 @ X4))) => (![X4:$i]:(((irel @ X3) @ X4) => (a1 @ X4)))))) => (![X3:$i]:(((irel @ X2) @ X3) => (a0 @ X3)))))))))))) => (![X2:$i]:(((irel @ X1) @ X2) => (f @ X2)))) => (~(((![X2:$i]:(((irel @ X1) @ X2) => (~((((![X3:$i]:(((irel @ X2) @ X3) => ((![X4:$i]:(((irel @ X3) @ X4) => (b0 @ X4))) => (![X4:$i]:(((irel @ X3) @ X4) => (a1 @ X4)))))) => (![X3:$i]:(((irel @ X2) @ X3) => (a0 @ X3)))) => (((![X3:$i]:(((irel @ X2) @ X3) => ((![X4:$i]:(((irel @ X3) @ X4) => (b1 @ X4))) => (![X4:$i]:(((irel @ X3) @ X4) => (b0 @ X4)))))) => (![X3:$i]:(((irel @ X2) @ X3) => (a1 @ X3)))) => (~(((![X3:$i]:(((irel @ X2) @ X3) => (a0 @ X3))) => (![X3:$i]:(((irel @ X2) @ X3) => (f @ X3)))))))))))) => (![X2:$i]:(((irel @ X1) @ X2) => (f @ X2))))))))))))), introduced(definition,[new_symbols(definition,[eigen__0])])).
thf(eigendef_eigen__10, definition, eigen__10 = (eps__0 @ (^[X1:$i]:(~((((irel @ eigen__0) @ X1) => ((![X2:$i]:(((irel @ X1) @ X2) => (b0 @ X2))) => (![X2:$i]:(((irel @ X1) @ X2) => (a1 @ X2))))))))), introduced(definition,[new_symbols(definition,[eigen__10])])).
thf(eigendef_eigen__20, definition, eigen__20 = (eps__0 @ (^[X1:$i]:(~((((irel @ eigen__10) @ X1) => ((![X2:$i]:(((irel @ X1) @ X2) => (b1 @ X2))) => (![X2:$i]:(((irel @ X1) @ X2) => (b0 @ X2))))))))), introduced(definition,[new_symbols(definition,[eigen__20])])).
thf(eigendef_eigen__25, definition, eigen__25 = (eps__0 @ (^[X1:$i]:(~((((irel @ eigen__20) @ X1) => (b0 @ X1)))))), introduced(definition,[new_symbols(definition,[eigen__25])])).
thf(sP1,plain,sP1 <=> (![X1:$i]:(((irel @ eigen__1) @ X1) => (f @ X1))),introduced(definition,[new_symbols(definition,[sP1])])).
thf(sP2,plain,sP2 <=> (![X1:$i]:((irel @ X1) @ X1)),introduced(definition,[new_symbols(definition,[sP2])])).
thf(sP3,plain,sP3 <=> ((irel @ eigen__1) @ eigen__3),introduced(definition,[new_symbols(definition,[sP3])])).
thf(sP4,plain,sP4 <=> (![X1:$i]:(((irel @ eigen__0) @ X1) => (~((((![X2:$i]:(((irel @ X1) @ X2) => ((![X3:$i]:(((irel @ X2) @ X3) => (b0 @ X3))) => (![X3:$i]:(((irel @ X2) @ X3) => (a1 @ X3)))))) => (![X2:$i]:(((irel @ X1) @ X2) => (a0 @ X2)))) => (((![X2:$i]:(((irel @ X1) @ X2) => ((![X3:$i]:(((irel @ X2) @ X3) => (b1 @ X3))) => (![X3:$i]:(((irel @ X2) @ X3) => (b0 @ X3)))))) => (![X2:$i]:(((irel @ X1) @ X2) => (a1 @ X2)))) => (~(((![X2:$i]:(((irel @ X1) @ X2) => (a0 @ X2))) => (![X2:$i]:(((irel @ X1) @ X2) => (f @ X2)))))))))))),introduced(definition,[new_symbols(definition,[sP4])])).
thf(sP5,plain,sP5 <=> ((irel @ eigen__20) @ eigen__25),introduced(definition,[new_symbols(definition,[sP5])])).
thf(sP6,plain,sP6 <=> ((irel @ eigen__0) @ eigen__1),introduced(definition,[new_symbols(definition,[sP6])])).
thf(sP7,plain,sP7 <=> (((irel @ eigen__0) @ eigen__10) => (~((((![X1:$i]:(((irel @ eigen__10) @ X1) => ((![X2:$i]:(((irel @ X1) @ X2) => (b0 @ X2))) => (![X2:$i]:(((irel @ X1) @ X2) => (a1 @ X2)))))) => (![X1:$i]:(((irel @ eigen__10) @ X1) => (a0 @ X1)))) => (((![X1:$i]:(((irel @ eigen__10) @ X1) => ((![X2:$i]:(((irel @ X1) @ X2) => (b1 @ X2))) => (![X2:$i]:(((irel @ X1) @ X2) => (b0 @ X2)))))) => (![X1:$i]:(((irel @ eigen__10) @ X1) => (a1 @ X1)))) => (~(((![X1:$i]:(((irel @ eigen__10) @ X1) => (a0 @ X1))) => (![X1:$i]:(((irel @ eigen__10) @ X1) => (f @ X1))))))))))),introduced(definition,[new_symbols(definition,[sP7])])).
thf(sP8,plain,sP8 <=> ((~((sP6 => (~(sP3))))) => ((irel @ eigen__0) @ eigen__3)),introduced(definition,[new_symbols(definition,[sP8])])).
thf(sP9,plain,sP9 <=> (![X1:$i]:(((irel @ eigen__0) @ X1) => (a0 @ X1))),introduced(definition,[new_symbols(definition,[sP9])])).
thf(sP10,plain,sP10 <=> (((irel @ eigen__0) @ eigen__0) => (~((((![X1:$i]:(((irel @ eigen__0) @ X1) => ((![X2:$i]:(((irel @ X1) @ X2) => (b0 @ X2))) => (![X2:$i]:(((irel @ X1) @ X2) => (a1 @ X2)))))) => sP9) => (((![X1:$i]:(((irel @ eigen__0) @ X1) => ((![X2:$i]:(((irel @ X1) @ X2) => (b1 @ X2))) => (![X2:$i]:(((irel @ X1) @ X2) => (b0 @ X2)))))) => (![X1:$i]:(((irel @ eigen__0) @ X1) => (a1 @ X1)))) => (~((sP9 => (![X1:$i]:(((irel @ eigen__0) @ X1) => (f @ X1))))))))))),introduced(definition,[new_symbols(definition,[sP10])])).
thf(sP11,plain,sP11 <=> (((![X1:$i]:(((irel @ eigen__0) @ X1) => ((![X2:$i]:(((irel @ X1) @ X2) => (b1 @ X2))) => (![X2:$i]:(((irel @ X1) @ X2) => (b0 @ X2)))))) => (![X1:$i]:(((irel @ eigen__0) @ X1) => (a1 @ X1)))) => (~(((![X1:$i]:(((irel @ eigen__0) @ X1) => ((![X2:$i]:(((irel @ X1) @ X2) => (b0 @ X2))) => (![X2:$i]:(((irel @ X1) @ X2) => (a1 @ X2)))))) => sP9)))),introduced(definition,[new_symbols(definition,[sP11])])).
thf(sP12,plain,sP12 <=> ((sP9 => (![X1:$i]:(((irel @ eigen__0) @ X1) => (f @ X1)))) => sP11),introduced(definition,[new_symbols(definition,[sP12])])).
thf(sP13,plain,sP13 <=> (((![X1:$i]:(((irel @ eigen__10) @ X1) => (a0 @ X1))) => (![X1:$i]:(((irel @ eigen__10) @ X1) => (f @ X1)))) => (((![X1:$i]:(((irel @ eigen__10) @ X1) => ((![X2:$i]:(((irel @ X1) @ X2) => (b1 @ X2))) => (![X2:$i]:(((irel @ X1) @ X2) => (b0 @ X2)))))) => (![X1:$i]:(((irel @ eigen__10) @ X1) => (a1 @ X1)))) => (~(((![X1:$i]:(((irel @ eigen__10) @ X1) => ((![X2:$i]:(((irel @ X1) @ X2) => (b0 @ X2))) => (![X2:$i]:(((irel @ X1) @ X2) => (a1 @ X2)))))) => (![X1:$i]:(((irel @ eigen__10) @ X1) => (a0 @ X1)))))))),introduced(definition,[new_symbols(definition,[sP13])])).
thf(sP14,plain,sP14 <=> ((![X1:$i]:(((irel @ eigen__0) @ X1) => (~((((![X2:$i]:(((irel @ X1) @ X2) => (a0 @ X2))) => (![X2:$i]:(((irel @ X1) @ X2) => (f @ X2)))) => (((![X2:$i]:(((irel @ X1) @ X2) => ((![X3:$i]:(((irel @ X2) @ X3) => (b1 @ X3))) => (![X3:$i]:(((irel @ X2) @ X3) => (b0 @ X3)))))) => (![X2:$i]:(((irel @ X1) @ X2) => (a1 @ X2)))) => (~(((![X2:$i]:(((irel @ X1) @ X2) => ((![X3:$i]:(((irel @ X2) @ X3) => (b0 @ X3))) => (![X3:$i]:(((irel @ X2) @ X3) => (a1 @ X3)))))) => (![X2:$i]:(((irel @ X1) @ X2) => (a0 @ X2)))))))))))) => (![X1:$i]:(((irel @ eigen__0) @ X1) => (f @ X1)))),introduced(definition,[new_symbols(definition,[sP14])])).
thf(sP15,plain,sP15 <=> (((irel @ eigen__0) @ eigen__10) => ((![X1:$i]:(((irel @ eigen__10) @ X1) => (b0 @ X1))) => (![X1:$i]:(((irel @ eigen__10) @ X1) => (a1 @ X1))))),introduced(definition,[new_symbols(definition,[sP15])])).
thf(sP16,plain,sP16 <=> (((irel @ eigen__1) @ eigen__1) => (f @ eigen__1)),introduced(definition,[new_symbols(definition,[sP16])])).
thf(sP17,plain,sP17 <=> (((![X1:$i]:(((irel @ eigen__10) @ X1) => ((![X2:$i]:(((irel @ X1) @ X2) => (b1 @ X2))) => (![X2:$i]:(((irel @ X1) @ X2) => (b0 @ X2)))))) => (![X1:$i]:(((irel @ eigen__10) @ X1) => (a1 @ X1)))) => (~(((![X1:$i]:(((irel @ eigen__10) @ X1) => ((![X2:$i]:(((irel @ X1) @ X2) => (b0 @ X2))) => (![X2:$i]:(((irel @ X1) @ X2) => (a1 @ X2)))))) => (![X1:$i]:(((irel @ eigen__10) @ X1) => (a0 @ X1))))))),introduced(definition,[new_symbols(definition,[sP17])])).
thf(sP18,plain,sP18 <=> (((irel @ eigen__0) @ eigen__10) => (~(sP13))),introduced(definition,[new_symbols(definition,[sP18])])).
thf(sP19,plain,sP19 <=> (![X1:$i]:((~((sP6 => (~(((irel @ eigen__1) @ X1)))))) => ((irel @ eigen__0) @ X1))),introduced(definition,[new_symbols(definition,[sP19])])).
thf(sP20,plain,sP20 <=> (sP3 => (a0 @ eigen__3)),introduced(definition,[new_symbols(definition,[sP20])])).
thf(sP21,plain,sP21 <=> (sP6 => (~((((![X1:$i]:(((irel @ eigen__1) @ X1) => (a0 @ X1))) => sP1) => (((![X1:$i]:(((irel @ eigen__1) @ X1) => ((![X2:$i]:(((irel @ X1) @ X2) => (b1 @ X2))) => (![X2:$i]:(((irel @ X1) @ X2) => (b0 @ X2)))))) => (![X1:$i]:(((irel @ eigen__1) @ X1) => (a1 @ X1)))) => (~(((![X1:$i]:(((irel @ eigen__1) @ X1) => ((![X2:$i]:(((irel @ X1) @ X2) => (b0 @ X2))) => (![X2:$i]:(((irel @ X1) @ X2) => (a1 @ X2)))))) => (![X1:$i]:(((irel @ eigen__1) @ X1) => (a0 @ X1))))))))))),introduced(definition,[new_symbols(definition,[sP21])])).
thf(sP22,plain,sP22 <=> (![X1:$i]:(((irel @ eigen__20) @ X1) => (b0 @ X1))),introduced(definition,[new_symbols(definition,[sP22])])).
thf(sP23,plain,sP23 <=> (b0 @ eigen__25),introduced(definition,[new_symbols(definition,[sP23])])).
thf(sP24,plain,sP24 <=> ((![X1:$i]:(((irel @ eigen__20) @ X1) => (b1 @ X1))) => sP22),introduced(definition,[new_symbols(definition,[sP24])])).
thf(sP25,plain,sP25 <=> ((![X1:$i]:(((irel @ eigen__10) @ X1) => (b0 @ X1))) => (![X1:$i]:(((irel @ eigen__10) @ X1) => (a1 @ X1)))),introduced(definition,[new_symbols(definition,[sP25])])).
thf(sP26,plain,sP26 <=> (sP4 => (![X1:$i]:(((irel @ eigen__0) @ X1) => (f @ X1)))),introduced(definition,[new_symbols(definition,[sP26])])).
thf(sP27,plain,sP27 <=> ((![X1:$i]:(((irel @ eigen__0) @ X1) => ((![X2:$i]:(((irel @ X1) @ X2) => (b0 @ X2))) => (![X2:$i]:(((irel @ X1) @ X2) => (a1 @ X2)))))) => sP9),introduced(definition,[new_symbols(definition,[sP27])])).
thf(sP28,plain,sP28 <=> (((irel @ eigen__10) @ eigen__25) => sP23),introduced(definition,[new_symbols(definition,[sP28])])).
thf(sP29,plain,sP29 <=> (![X1:$i]:(((irel @ eigen__1) @ X1) => (a0 @ X1))),introduced(definition,[new_symbols(definition,[sP29])])).
thf(sP30,plain,sP30 <=> (sP5 => sP23),introduced(definition,[new_symbols(definition,[sP30])])).
thf(sP31,plain,sP31 <=> (((![X1:$i]:(((irel @ eigen__10) @ X1) => ((![X2:$i]:(((irel @ X1) @ X2) => (b0 @ X2))) => (![X2:$i]:(((irel @ X1) @ X2) => (a1 @ X2)))))) => (![X1:$i]:(((irel @ eigen__10) @ X1) => (a0 @ X1)))) => (((![X1:$i]:(((irel @ eigen__10) @ X1) => ((![X2:$i]:(((irel @ X1) @ X2) => (b1 @ X2))) => (![X2:$i]:(((irel @ X1) @ X2) => (b0 @ X2)))))) => (![X1:$i]:(((irel @ eigen__10) @ X1) => (a1 @ X1)))) => (~(((![X1:$i]:(((irel @ eigen__10) @ X1) => (a0 @ X1))) => (![X1:$i]:(((irel @ eigen__10) @ X1) => (f @ X1)))))))),introduced(definition,[new_symbols(definition,[sP31])])).
thf(sP32,plain,sP32 <=> ((irel @ eigen__10) @ eigen__25),introduced(definition,[new_symbols(definition,[sP32])])).
thf(sP33,plain,sP33 <=> (sP6 => (~((((![X1:$i]:(((irel @ eigen__1) @ X1) => ((![X2:$i]:(((irel @ X1) @ X2) => (b0 @ X2))) => (![X2:$i]:(((irel @ X1) @ X2) => (a1 @ X2)))))) => sP29) => (((![X1:$i]:(((irel @ eigen__1) @ X1) => ((![X2:$i]:(((irel @ X1) @ X2) => (b1 @ X2))) => (![X2:$i]:(((irel @ X1) @ X2) => (b0 @ X2)))))) => (![X1:$i]:(((irel @ eigen__1) @ X1) => (a1 @ X1)))) => (~((sP29 => sP1)))))))),introduced(definition,[new_symbols(definition,[sP33])])).
thf(sP34,plain,sP34 <=> (sP6 => (f @ eigen__1)),introduced(definition,[new_symbols(definition,[sP34])])).
thf(sP35,plain,sP35 <=> (f @ eigen__1),introduced(definition,[new_symbols(definition,[sP35])])).
thf(sP36,plain,sP36 <=> (![X1:$i]:(((irel @ eigen__10) @ X1) => (a1 @ X1))),introduced(definition,[new_symbols(definition,[sP36])])).
thf(sP37,plain,sP37 <=> (((![X1:$i]:(((irel @ eigen__10) @ X1) => ((![X2:$i]:(((irel @ X1) @ X2) => (b1 @ X2))) => (![X2:$i]:(((irel @ X1) @ X2) => (b0 @ X2)))))) => sP36) => (~(((![X1:$i]:(((irel @ eigen__10) @ X1) => (a0 @ X1))) => (![X1:$i]:(((irel @ eigen__10) @ X1) => (f @ X1))))))),introduced(definition,[new_symbols(definition,[sP37])])).
thf(sP38,plain,sP38 <=> (![X1:$i]:(((irel @ eigen__0) @ X1) => (~((((![X2:$i]:(((irel @ X1) @ X2) => (a0 @ X2))) => (![X2:$i]:(((irel @ X1) @ X2) => (f @ X2)))) => (((![X2:$i]:(((irel @ X1) @ X2) => ((![X3:$i]:(((irel @ X2) @ X3) => (b1 @ X3))) => (![X3:$i]:(((irel @ X2) @ X3) => (b0 @ X3)))))) => (![X2:$i]:(((irel @ X1) @ X2) => (a1 @ X2)))) => (~(((![X2:$i]:(((irel @ X1) @ X2) => ((![X3:$i]:(((irel @ X2) @ X3) => (b0 @ X3))) => (![X3:$i]:(((irel @ X2) @ X3) => (a1 @ X3)))))) => (![X2:$i]:(((irel @ X1) @ X2) => (a0 @ X2)))))))))))),introduced(definition,[new_symbols(definition,[sP38])])).
thf(sP39,plain,sP39 <=> (sP27 => (((![X1:$i]:(((irel @ eigen__0) @ X1) => ((![X2:$i]:(((irel @ X1) @ X2) => (b1 @ X2))) => (![X2:$i]:(((irel @ X1) @ X2) => (b0 @ X2)))))) => (![X1:$i]:(((irel @ eigen__0) @ X1) => (a1 @ X1)))) => (~((sP9 => (![X1:$i]:(((irel @ eigen__0) @ X1) => (f @ X1)))))))),introduced(definition,[new_symbols(definition,[sP39])])).
thf(sP40,plain,sP40 <=> (![X1:$i]:(![X2:$i]:((~((((irel @ eigen__0) @ X1) => (~(((irel @ X1) @ X2)))))) => ((irel @ eigen__0) @ X2)))),introduced(definition,[new_symbols(definition,[sP40])])).
thf(sP41,plain,sP41 <=> (a0 @ eigen__3),introduced(definition,[new_symbols(definition,[sP41])])).
thf(sP42,plain,sP42 <=> (![X1:$i]:(((irel @ eigen__0) @ X1) => ((![X2:$i]:(((irel @ X1) @ X2) => (b0 @ X2))) => (![X2:$i]:(((irel @ X1) @ X2) => (a1 @ X2)))))),introduced(definition,[new_symbols(definition,[sP42])])).
thf(sP43,plain,sP43 <=> ((irel @ eigen__1) @ eigen__1),introduced(definition,[new_symbols(definition,[sP43])])).
thf(sP44,plain,sP44 <=> (((![X1:$i]:(((irel @ eigen__1) @ X1) => ((![X2:$i]:(((irel @ X1) @ X2) => (b1 @ X2))) => (![X2:$i]:(((irel @ X1) @ X2) => (b0 @ X2)))))) => (![X1:$i]:(((irel @ eigen__1) @ X1) => (a1 @ X1)))) => (~((sP29 => sP1)))),introduced(definition,[new_symbols(definition,[sP44])])).
thf(sP45,plain,sP45 <=> (![X1:$i]:(![X2:$i]:(![X3:$i]:((~((((irel @ X1) @ X2) => (~(((irel @ X2) @ X3)))))) => ((irel @ X1) @ X3))))),introduced(definition,[new_symbols(definition,[sP45])])).
thf(sP46,plain,sP46 <=> ((irel @ eigen__0) @ eigen__3),introduced(definition,[new_symbols(definition,[sP46])])).
thf(sP47,plain,sP47 <=> ((![X1:$i]:(((irel @ eigen__10) @ X1) => ((![X2:$i]:(((irel @ X1) @ X2) => (b1 @ X2))) => (![X2:$i]:(((irel @ X1) @ X2) => (b0 @ X2)))))) => sP36),introduced(definition,[new_symbols(definition,[sP47])])).
thf(sP48,plain,sP48 <=> (sP6 => (~(sP3))),introduced(definition,[new_symbols(definition,[sP48])])).
thf(sP49,plain,sP49 <=> (![X1:$i]:(((irel @ eigen__10) @ X1) => (b0 @ X1))),introduced(definition,[new_symbols(definition,[sP49])])).
thf(sP50,plain,sP50 <=> (![X1:$i]:(~((((![X2:$i]:(((irel @ X1) @ X2) => (~((((![X3:$i]:(((irel @ X2) @ X3) => (a0 @ X3))) => (![X3:$i]:(((irel @ X2) @ X3) => (f @ X3)))) => (((![X3:$i]:(((irel @ X2) @ X3) => ((![X4:$i]:(((irel @ X3) @ X4) => (b1 @ X4))) => (![X4:$i]:(((irel @ X3) @ X4) => (b0 @ X4)))))) => (![X3:$i]:(((irel @ X2) @ X3) => (a1 @ X3)))) => (~(((![X3:$i]:(((irel @ X2) @ X3) => ((![X4:$i]:(((irel @ X3) @ X4) => (b0 @ X4))) => (![X4:$i]:(((irel @ X3) @ X4) => (a1 @ X4)))))) => (![X3:$i]:(((irel @ X2) @ X3) => (a0 @ X3)))))))))))) => (![X2:$i]:(((irel @ X1) @ X2) => (f @ X2)))) => (~(((![X2:$i]:(((irel @ X1) @ X2) => (~((((![X3:$i]:(((irel @ X2) @ X3) => ((![X4:$i]:(((irel @ X3) @ X4) => (b0 @ X4))) => (![X4:$i]:(((irel @ X3) @ X4) => (a1 @ X4)))))) => (![X3:$i]:(((irel @ X2) @ X3) => (a0 @ X3)))) => (((![X3:$i]:(((irel @ X2) @ X3) => ((![X4:$i]:(((irel @ X3) @ X4) => (b1 @ X4))) => (![X4:$i]:(((irel @ X3) @ X4) => (b0 @ X4)))))) => (![X3:$i]:(((irel @ X2) @ X3) => (a1 @ X3)))) => (~(((![X3:$i]:(((irel @ X2) @ X3) => (a0 @ X3))) => (![X3:$i]:(((irel @ X2) @ X3) => (f @ X3)))))))))))) => (![X2:$i]:(((irel @ X1) @ X2) => (f @ X2)))))))))),introduced(definition,[new_symbols(definition,[sP50])])).
thf(sP51,plain,sP51 <=> (![X1:$i]:(((irel @ eigen__0) @ X1) => (f @ X1))),introduced(definition,[new_symbols(definition,[sP51])])).
thf(sP52,plain,sP52 <=> ((irel @ eigen__0) @ eigen__0),introduced(definition,[new_symbols(definition,[sP52])])).
thf(sP53,plain,sP53 <=> (((![X1:$i]:(((irel @ eigen__1) @ X1) => ((![X2:$i]:(((irel @ X1) @ X2) => (b0 @ X2))) => (![X2:$i]:(((irel @ X1) @ X2) => (a1 @ X2)))))) => sP29) => sP44),introduced(definition,[new_symbols(definition,[sP53])])).
thf(sP54,plain,sP54 <=> (sP46 => sP41),introduced(definition,[new_symbols(definition,[sP54])])).
thf(sP55,plain,sP55 <=> (![X1:$i]:(((irel @ eigen__10) @ X1) => ((![X2:$i]:(((irel @ X1) @ X2) => (b1 @ X2))) => (![X2:$i]:(((irel @ X1) @ X2) => (b0 @ X2)))))),introduced(definition,[new_symbols(definition,[sP55])])).
thf(sP56,plain,sP56 <=> ((irel @ eigen__10) @ eigen__20),introduced(definition,[new_symbols(definition,[sP56])])).
thf(sP57,plain,sP57 <=> (sP56 => sP24),introduced(definition,[new_symbols(definition,[sP57])])).
thf(sP58,plain,sP58 <=> (sP52 => (~(sP12))),introduced(definition,[new_symbols(definition,[sP58])])).
thf(sP59,plain,sP59 <=> (![X1:$i]:((~((sP56 => (~(((irel @ eigen__20) @ X1)))))) => ((irel @ eigen__10) @ X1))),introduced(definition,[new_symbols(definition,[sP59])])).
thf(sP60,plain,sP60 <=> (sP14 => (~(sP26))),introduced(definition,[new_symbols(definition,[sP60])])).
thf(sP61,plain,sP61 <=> ((~((sP56 => (~(sP5))))) => sP32),introduced(definition,[new_symbols(definition,[sP61])])).
thf(sP62,plain,sP62 <=> (![X1:$i]:(![X2:$i]:((~((((irel @ eigen__10) @ X1) => (~(((irel @ X1) @ X2)))))) => ((irel @ eigen__10) @ X2)))),introduced(definition,[new_symbols(definition,[sP62])])).
thf(sP63,plain,sP63 <=> (sP29 => sP1),introduced(definition,[new_symbols(definition,[sP63])])).
thf(sP64,plain,sP64 <=> (sP63 => (((![X1:$i]:(((irel @ eigen__1) @ X1) => ((![X2:$i]:(((irel @ X1) @ X2) => (b1 @ X2))) => (![X2:$i]:(((irel @ X1) @ X2) => (b0 @ X2)))))) => (![X1:$i]:(((irel @ eigen__1) @ X1) => (a1 @ X1)))) => (~(((![X1:$i]:(((irel @ eigen__1) @ X1) => ((![X2:$i]:(((irel @ X1) @ X2) => (b0 @ X2))) => (![X2:$i]:(((irel @ X1) @ X2) => (a1 @ X2)))))) => sP29))))),introduced(definition,[new_symbols(definition,[sP64])])).
thf(sP65,plain,sP65 <=> ((irel @ eigen__0) @ eigen__10),introduced(definition,[new_symbols(definition,[sP65])])).
thf(sP66,plain,sP66 <=> (sP56 => (~(sP5))),introduced(definition,[new_symbols(definition,[sP66])])).
thf(def_mnot,definition,(mnot = (^[X1:$i>$o]:(^[X2:$i]:(~((X1 @ X2))))))).
thf(def_mor,definition,(mor = (^[X1:$i>$o]:(^[X2:$i>$o]:(^[X3:$i]:((~((X1 @ X3))) => (X2 @ X3))))))).
thf(def_mand,definition,(mand = (^[X1:$i>$o]:(^[X2:$i>$o]:(^[X3:$i]:(~(((X1 @ X3) => (~((X2 @ X3))))))))))).
thf(def_mimplies,definition,(mimplies = (^[X1:$i>$o]:(mor @ (mnot @ X1))))).
thf(def_mbox_s4,definition,(mbox_s4 = (^[X1:$i>$o]:(^[X2:$i]:(![X3:$i]:(((irel @ X2) @ X3) => (X1 @ X3))))))).
thf(def_iatom,definition,(iatom = (^[X1:$i>$o]:X1))).
thf(def_inot,definition,(inot = (^[X1:$i>$o]:(mnot @ (mbox_s4 @ X1))))).
thf(def_itrue,definition,(itrue = (^[X1:$i]:(~($false))))).
thf(def_ifalse,definition,(ifalse = (inot @ itrue))).
thf(def_iand,definition,(iand = mand)).
thf(def_ior,definition,(ior = (^[X1:$i>$o]:(^[X2:$i>$o]:((mor @ (mbox_s4 @ X1)) @ (mbox_s4 @ X2)))))).
thf(def_iimplies,definition,(iimplies = (^[X1:$i>$o]:(^[X2:$i>$o]:((mimplies @ (mbox_s4 @ X1)) @ (mbox_s4 @ X2)))))).
thf(def_iimplied,definition,(iimplied = (^[X1:$i>$o]:(^[X2:$i>$o]:((iimplies @ X2) @ X1))))).
thf(def_iequiv,definition,(iequiv = (^[X1:$i>$o]:(^[X2:$i>$o]:((iand @ ((iimplies @ X1) @ X2)) @ ((iimplies @ X2) @ X1)))))).
thf(def_ixor,definition,(ixor = (^[X1:$i>$o]:(^[X2:$i>$o]:(inot @ ((iequiv @ X1) @ X2)))))).
thf(def_ivalid,definition,(ivalid = (!!))).
thf(def_isatisfiable,definition,(isatisfiable = (^[X1:$i>$o]:(~((![X2:$i]:(~((X1 @ X2))))))))).
thf(def_icountersatisfiable,definition,(icountersatisfiable = (^[X1:$i>$o]:(~(((!!) @ X1)))))).
thf(def_iinvalid,definition,(iinvalid = (^[X1:$i>$o]:(![X2:$i]:(~((X1 @ X2))))))).
thf(con,conjecture,(![X1:$i]:(~((((~((~((![X2:$i]:(((irel @ X1) @ X2) => (~((((~((~((![X3:$i]:(((irel @ X2) @ X3) => (a0 @ X3))))))) => (![X3:$i]:(((irel @ X2) @ X3) => (f @ X3)))) => (~((~((((~((~((![X3:$i]:(((irel @ X2) @ X3) => ((~((~((![X4:$i]:(((irel @ X3) @ X4) => (b1 @ X4))))))) => (![X4:$i]:(((irel @ X3) @ X4) => (b0 @ X4)))))))))) => (![X3:$i]:(((irel @ X2) @ X3) => (a1 @ X3)))) => (~(((~((~((![X3:$i]:(((irel @ X2) @ X3) => ((~((~((![X4:$i]:(((irel @ X3) @ X4) => (b0 @ X4))))))) => (![X4:$i]:(((irel @ X3) @ X4) => (a1 @ X4)))))))))) => (![X3:$i]:(((irel @ X2) @ X3) => (a0 @ X3)))))))))))))))))))) => (![X2:$i]:(((irel @ X1) @ X2) => (f @ X2)))) => (~(((~((~((![X2:$i]:(((irel @ X1) @ X2) => (~((((~((~((![X3:$i]:(((irel @ X2) @ X3) => ((~((~((![X4:$i]:(((irel @ X3) @ X4) => (b0 @ X4))))))) => (![X4:$i]:(((irel @ X3) @ X4) => (a1 @ X4)))))))))) => (![X3:$i]:(((irel @ X2) @ X3) => (a0 @ X3)))) => (~((~((((~((~((![X3:$i]:(((irel @ X2) @ X3) => ((~((~((![X4:$i]:(((irel @ X3) @ X4) => (b1 @ X4))))))) => (![X4:$i]:(((irel @ X3) @ X4) => (b0 @ X4)))))))))) => (![X3:$i]:(((irel @ X2) @ X3) => (a1 @ X3)))) => (~(((~((~((![X3:$i]:(((irel @ X2) @ X3) => (a0 @ X3))))))) => (![X3:$i]:(((irel @ X2) @ X3) => (f @ X3)))))))))))))))))))) => (![X2:$i]:(((irel @ X1) @ X2) => (f @ X2))))))))))).
thf(h1,negated_conjecture,(~(sP50)),inference(assume_negation,[status(cth)],[con])).
thf(1,plain,(~(sP62) | sP59),inference(all_rule,[status(thm)],[])).
thf(2,plain,(~(sP59) | sP61),inference(all_rule,[status(thm)],[])).
thf(3,plain,((~(sP61) | sP66) | sP32),inference(prop_rule,[status(thm)],[])).
thf(4,plain,((~(sP66) | ~(sP56)) | ~(sP5)),inference(prop_rule,[status(thm)],[])).
thf(5,plain,(~(sP19) | sP8),inference(all_rule,[status(thm)],[])).
thf(6,plain,((~(sP8) | sP48) | sP46),inference(prop_rule,[status(thm)],[])).
thf(7,plain,((~(sP48) | ~(sP6)) | ~(sP3)),inference(prop_rule,[status(thm)],[])).
thf(8,plain,(~(sP40) | sP19),inference(all_rule,[status(thm)],[])).
thf(9,plain,(~(sP49) | sP28),inference(all_rule,[status(thm)],[])).
thf(10,plain,((~(sP28) | ~(sP32)) | sP23),inference(prop_rule,[status(thm)],[])).
thf(11,plain,(sP30 | ~(sP23)),inference(prop_rule,[status(thm)],[])).
thf(12,plain,(sP30 | sP5),inference(prop_rule,[status(thm)],[])).
thf(13,plain,(sP22 | ~(sP30)),inference(eigen_choice_rule,[status(thm),assumptions([h0])],[h0,eigendef_eigen__25])).
thf(14,plain,(sP24 | ~(sP22)),inference(prop_rule,[status(thm)],[])).
thf(15,plain,(sP57 | ~(sP24)),inference(prop_rule,[status(thm)],[])).
thf(16,plain,(sP57 | sP56),inference(prop_rule,[status(thm)],[])).
thf(17,plain,(sP55 | ~(sP57)),inference(eigen_choice_rule,[status(thm),assumptions([h0])],[h0,eigendef_eigen__20])).
thf(18,plain,(sP37 | sP47),inference(prop_rule,[status(thm)],[])).
thf(19,plain,((~(sP47) | ~(sP55)) | sP36),inference(prop_rule,[status(thm)],[])).
thf(20,plain,(sP17 | sP47),inference(prop_rule,[status(thm)],[])).
thf(21,plain,(sP13 | ~(sP17)),inference(prop_rule,[status(thm)],[])).
thf(22,plain,(sP31 | ~(sP37)),inference(prop_rule,[status(thm)],[])).
thf(23,plain,((~(sP7) | ~(sP65)) | ~(sP31)),inference(prop_rule,[status(thm)],[])).
thf(24,plain,((~(sP18) | ~(sP65)) | ~(sP13)),inference(prop_rule,[status(thm)],[])).
thf(25,plain,(~(sP4) | sP7),inference(all_rule,[status(thm)],[])).
thf(26,plain,(~(sP38) | sP18),inference(all_rule,[status(thm)],[])).
thf(27,plain,(~(sP45) | sP62),inference(all_rule,[status(thm)],[])).
thf(28,plain,(sP25 | ~(sP36)),inference(prop_rule,[status(thm)],[])).
thf(29,plain,(sP25 | sP49),inference(prop_rule,[status(thm)],[])).
thf(30,plain,(sP15 | ~(sP25)),inference(prop_rule,[status(thm)],[])).
thf(31,plain,(sP15 | sP65),inference(prop_rule,[status(thm)],[])).
thf(32,plain,(sP42 | ~(sP15)),inference(eigen_choice_rule,[status(thm),assumptions([h0])],[h0,eigendef_eigen__10])).
thf(33,plain,(~(sP9) | sP54),inference(all_rule,[status(thm)],[])).
thf(34,plain,((~(sP54) | ~(sP46)) | sP41),inference(prop_rule,[status(thm)],[])).
thf(35,plain,(sP11 | sP27),inference(prop_rule,[status(thm)],[])).
thf(36,plain,(sP12 | ~(sP11)),inference(prop_rule,[status(thm)],[])).
thf(37,plain,((~(sP27) | ~(sP42)) | sP9),inference(prop_rule,[status(thm)],[])).
thf(38,plain,(sP39 | sP27),inference(prop_rule,[status(thm)],[])).
thf(39,plain,((~(sP10) | ~(sP52)) | ~(sP39)),inference(prop_rule,[status(thm)],[])).
thf(40,plain,((~(sP58) | ~(sP52)) | ~(sP12)),inference(prop_rule,[status(thm)],[])).
thf(41,plain,(~(sP2) | sP52),inference(all_rule,[status(thm)],[])).
thf(42,plain,(~(sP2) | sP43),inference(all_rule,[status(thm)],[])).
thf(43,plain,(~(sP45) | sP40),inference(all_rule,[status(thm)],[])).
thf(44,plain,(sP64 | sP63),inference(prop_rule,[status(thm)],[])).
thf(45,plain,(~(sP38) | sP58),inference(all_rule,[status(thm)],[])).
thf(46,plain,(~(sP38) | sP21),inference(all_rule,[status(thm)],[])).
thf(47,plain,((~(sP21) | ~(sP6)) | ~(sP64)),inference(prop_rule,[status(thm)],[])).
thf(48,plain,(sP14 | ~(sP51)),inference(prop_rule,[status(thm)],[])).
thf(49,plain,(sP14 | sP38),inference(prop_rule,[status(thm)],[])).
thf(50,plain,(sP20 | ~(sP41)),inference(prop_rule,[status(thm)],[])).
thf(51,plain,(sP20 | sP3),inference(prop_rule,[status(thm)],[])).
thf(52,plain,(sP29 | ~(sP20)),inference(eigen_choice_rule,[status(thm),assumptions([h0])],[h0,eigendef_eigen__3])).
thf(53,plain,(~(sP4) | sP10),inference(all_rule,[status(thm)],[])).
thf(54,plain,(~(sP1) | sP16),inference(all_rule,[status(thm)],[])).
thf(55,plain,((~(sP16) | ~(sP43)) | sP35),inference(prop_rule,[status(thm)],[])).
thf(56,plain,((~(sP63) | ~(sP29)) | sP1),inference(prop_rule,[status(thm)],[])).
thf(57,plain,(sP44 | sP63),inference(prop_rule,[status(thm)],[])).
thf(58,plain,(sP53 | ~(sP44)),inference(prop_rule,[status(thm)],[])).
thf(59,plain,(~(sP4) | sP33),inference(all_rule,[status(thm)],[])).
thf(60,plain,((~(sP33) | ~(sP6)) | ~(sP53)),inference(prop_rule,[status(thm)],[])).
thf(61,plain,(sP34 | ~(sP35)),inference(prop_rule,[status(thm)],[])).
thf(62,plain,(sP34 | sP6),inference(prop_rule,[status(thm)],[])).
thf(63,plain,(sP51 | ~(sP34)),inference(eigen_choice_rule,[status(thm),assumptions([h0])],[h0,eigendef_eigen__1])).
thf(64,plain,(sP26 | ~(sP51)),inference(prop_rule,[status(thm)],[])).
thf(65,plain,(sP26 | sP4),inference(prop_rule,[status(thm)],[])).
thf(66,plain,((~(sP60) | ~(sP14)) | ~(sP26)),inference(prop_rule,[status(thm)],[])).
thf(67,plain,(sP50 | sP60),inference(eigen_choice_rule,[status(thm),assumptions([h0])],[h0,eigendef_eigen__0])).
thf(trans_axiom,axiom,sP45).
thf(refl_axiom,axiom,sP2).
thf(68,plain,$false,inference(prop_unsat,[status(thm),assumptions([h1,h0])],[1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50,51,52,53,54,55,56,57,58,59,60,61,62,63,64,65,66,67,trans_axiom,refl_axiom,h1])).
thf(69,plain,$false,inference(eigenvar_choice,[status(thm),assumptions([h1]),eigenvar_choice(discharge,[h0])],[68,h0])).
thf(0,theorem,(![X1:$i]:(~((((~((~((![X2:$i]:(((irel @ X1) @ X2) => (~((((~((~((![X3:$i]:(((irel @ X2) @ X3) => (a0 @ X3))))))) => (![X3:$i]:(((irel @ X2) @ X3) => (f @ X3)))) => (~((~((((~((~((![X3:$i]:(((irel @ X2) @ X3) => ((~((~((![X4:$i]:(((irel @ X3) @ X4) => (b1 @ X4))))))) => (![X4:$i]:(((irel @ X3) @ X4) => (b0 @ X4)))))))))) => (![X3:$i]:(((irel @ X2) @ X3) => (a1 @ X3)))) => (~(((~((~((![X3:$i]:(((irel @ X2) @ X3) => ((~((~((![X4:$i]:(((irel @ X3) @ X4) => (b0 @ X4))))))) => (![X4:$i]:(((irel @ X3) @ X4) => (a1 @ X4)))))))))) => (![X3:$i]:(((irel @ X2) @ X3) => (a0 @ X3)))))))))))))))))))) => (![X2:$i]:(((irel @ X1) @ X2) => (f @ X2)))) => (~(((~((~((![X2:$i]:(((irel @ X1) @ X2) => (~((((~((~((![X3:$i]:(((irel @ X2) @ X3) => ((~((~((![X4:$i]:(((irel @ X3) @ X4) => (b0 @ X4))))))) => (![X4:$i]:(((irel @ X3) @ X4) => (a1 @ X4)))))))))) => (![X3:$i]:(((irel @ X2) @ X3) => (a0 @ X3)))) => (~((~((((~((~((![X3:$i]:(((irel @ X2) @ X3) => ((~((~((![X4:$i]:(((irel @ X3) @ X4) => (b1 @ X4))))))) => (![X4:$i]:(((irel @ X3) @ X4) => (b0 @ X4)))))))))) => (![X3:$i]:(((irel @ X2) @ X3) => (a1 @ X3)))) => (~(((~((~((![X3:$i]:(((irel @ X2) @ X3) => (a0 @ X3))))))) => (![X3:$i]:(((irel @ X2) @ X3) => (f @ X3)))))))))))))))))))) => (![X2:$i]:(((irel @ X1) @ X2) => (f @ X2)))))))))),inference(contra,[status(thm),contra(discharge,[h1])],[68,h1])).
% SZS output end Proof
~~~
